# Export CSV

> GET /missed-calls/export.csv - stream the filtered missed-call log as a CSV file, up to 1,000,000 rows.

Source: https://edesy.in/docs/missed-call/api-reference/export-csv

```
GET /v1/missed-calls/export.csv
```

The same rows as [List Missed Calls](https://edesy.in/docs/missed-call/api-reference/list-missed-calls), as a CSV file (`Content-Type: text/csv`), up to **1,000,000 rows**.

## Query parameters

`phone_number_id`, `from`, `status`, `start_date` and `end_date`, exactly as in [List Missed Calls](https://edesy.in/docs/missed-call/api-reference/list-missed-calls#query-parameters). There is no paging.

## Columns

`received_at, from, to, delivery_status, response_code`

`received_at` is in IST as `YYYY-MM-DD HH:MM:SS`. See [CSV Export](https://edesy.in/docs/missed-call/guides/csv-export) for details.

## Examples

```bash
curl "https://voice-api.edesy.in/v1/missed-calls/export.csv?start_date=2026-10-01" \
  -H "Authorization: Bearer vp_your_api_key" \
  -o missed-calls.csv
```

```js
const res = await fetch(
  "https://voice-api.edesy.in/v1/missed-calls/export.csv?start_date=2026-10-01",
  { headers: { Authorization: "Bearer vp_your_api_key" } }
);
require("fs").writeFileSync("missed-calls.csv", await res.text());
```

```python
import requests

r = requests.get(
    "https://voice-api.edesy.in/v1/missed-calls/export.csv",
    params={"start_date": "2026-10-01"},
    headers={"Authorization": "Bearer vp_your_api_key"},
)
open("missed-calls.csv", "wb").write(r.content)
```

```php
<?php
$ch = curl_init("https://voice-api.edesy.in/v1/missed-calls/export.csv?start_date=2026-10-01");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer vp_your_api_key"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
file_put_contents("missed-calls.csv", curl_exec($ch));
```
